%define upstream_name    File-Spec-Native
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Use native OS implementation of File::Spec from a subclass
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is a stupid hack to make the default the File::Spec manpage
behavior available from a subclass. This can be useful when using another
module that expects a subclass of the File::Spec manpage but you want to
use the current, native OS format (automatically detected by the File::Spec
manpage).

For example: the Path::Class/as_foreign manpage (as of version 0.24) allows
you to translate a the Path::Class manpage object from one OS format to
another. However, there is no way to specify that you want to translate the
path into the current, native OS format without guessing at what that
format is (which may include peeking into '@File::Spec::ISA').

This module '@ISA' the File::Spec manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.4.0-4pclos2017
- rebuild against updates

